Bug 1649944 - Virt-who Configurations page on the Red Hat Satellite WebUI shows status as "No Report Yet" even with the updated hypervisors list and the working configuration.
Summary: Virt-who Configurations page on the Red Hat Satellite WebUI shows status as "...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Virt-who Configure Plugin
Version: 6.4.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: 6.6.0
Assignee: Marek Hulan
QA Contact: Kunxin Huang
satellite-doc-list
URL:
Whiteboard:
: 1653430 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 21:40 UTC by Rajan Gupta
Modified: 2019-12-12 07:08 UTC (History)
31 users (show)

Fixed In Version: rubygem-foreman_virt_who_configure 0.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:46:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25479 Normal Closed Virt-who Configurations page on the Red Hat Satellite WebUI shows status as "No Report Yet" even with the updated hyperv... 2020-11-23 08:33:12 UTC
Red Hat Knowledge Base (Solution) 3774251 None None None 2018-12-25 12:47:53 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:07 UTC

Description Rajan Gupta 2018-11-14 21:40:25 UTC
Description of problem:
Virt-who Configurations page on the Red Hat Satellite WebUI shows status as "No Report Yet" even with the updated hypervisors list and the working configuration.

Version-Release number of selected component (if applicable):
- Red Hat Satellite-6.4.0-15.el7sat.noarch
- virt-who-0.22.5-1.el7.noarch or older version

Steps to Reproduce:
1. Configure/Deploy the virt-who using the (UI -> Infrastructure -> Virt-who configurations).
2. Check the status (UI -> Infrastructure -> Virt-who configurations)

Actual results:
- Timestamp is not getting updated for the working configurations.

Expected results:
- Timestamp should be updated for the working configurations.

Additional info:
I have attached the screenshot for the reference.

Comment 1 Marek Hulan 2018-11-15 08:42:15 UTC
Can you go to Monitor -> Tasks and see what is the status for updating hypervisors? Could you provide production.log from the time report came to Satellite? Could you please double check the configuration file in /etc/virt-who.d was created using this wizard and there's no other configuration file?

I'm lowering the severity as this is informative timestamp only, it does not have  effect on the reporting.

Comment 2 Rajan Gupta 2018-11-15 18:52:14 UTC
Hello Marek,

Thank you for looking after this request.

In the task field, The hypervisors are showing updated and the list is being reflected in the Content hosts. The only issue is that the status is not updated and it always stays at "No Report Yet".

The configuration files were created by virt-who configuration deployment command and there is no manual configuration present.

[root@satellite64 ~]# ls -lrt /etc/virt-who.d/
total 12
-rw-r--r--. 1 root root 1222 Sep 12 23:34 template.conf
-rw-r--r--. 1 root root  497 Nov 15 02:41 virt-who-config-2.conf
-rw-r--r--. 1 root root  529 Nov 15 02:44 virt-who-config-1.conf
[root@satellite64 ~]# 

I am attaching the production log.

Regards,
Rajan

Comment 5 Marek Hulan 2018-11-16 12:38:34 UTC
Thanks Waldirio for the reproducer, it is important to let virt-who use the user assigned to the given configuration, we use it to detect, which configuration last run time stamp should be updated. I know there's a different bug when you have 2 or more configurations, but that hopefully resolved soon. I see both your configs now use virt_who_reporter_1, so in this case just first configuration should be updated. And I see it's not, so valid bug.

Comment 6 Marek Hulan 2018-11-16 12:40:40 UTC
Created redmine issue https://projects.theforeman.org/issues/25479 from this bug

Comment 7 Marek Hulan 2018-11-16 12:44:19 UTC
Note for devs: the task is correctly subscribed, when we try to find the config based on User.current.id in run phase, it most likely does not find anything and silently skips the touch!

Comment 12 Marek Hulan 2018-11-27 13:49:57 UTC
*** Bug 1653430 has been marked as a duplicate of this bug. ***

Comment 17 Aymeric Marchal SG 2019-01-18 16:22:43 UTC
Hello, 
What's news ?

What does it mean "POST" ? 

How about this bug ?

Was It promoted or not in the production (RPMized ?) ?


Regards,
Aymeric

Comment 18 Aymeric Marchal SG 2019-01-18 16:36:18 UTC
OK, i don't find the corrected version in rpm for the moment, but the bug seems to be corrected.

Now, I have an rpm sat 6.4 : 
tfm-rubygem-foreman_virt_who_configure-0.2.2-1.el7sat.noarch

Sorry for disturbing you.

Regards,
Aymeric

Comment 19 Paul Holman 2019-01-28 14:21:59 UTC
(In reply to Aymeric Marchal SG from comment #18)
> OK, i don't find the corrected version in rpm for the moment, but the bug
> seems to be corrected.
> 
> Now, I have an rpm sat 6.4 : 
> tfm-rubygem-foreman_virt_who_configure-0.2.2-1.el7sat.noarch
> 
> Sorry for disturbing you.
> 
> Regards,
> Aymeric

I am running Satellite 6.4 and tfm-rubygem-foreman_virt_who_configure-0.2.2-1.el7sat.noarch and do not see bug corrected.

Comment 20 Aymeric Marchal SG 2019-01-28 17:20:10 UTC
You're right Paul, sorry for the mistake.

Yes i don't watch deeply in the rpm log, i just checked the version, and i believed it was ok, but the bug is already there unhappily.
Effectively, the last correction / rpm rebuild was 15 june 2018...


[*** ~]$ rpm -qi tfm-rubygem-foreman_virt_who_configure   --changelog
Name        : tfm-rubygem-foreman_virt_who_configure
Version     : 0.2.2
Release     : 1.el7sat
Architecture: noarch
Install Date: Wed 14 Nov 2018 03:38:42 PM CET
Group       : Applications/Systems
Size        : 18008063
License     : GPLv3
Signature   : RSA/SHA256, Thu 06 Sep 2018 09:53:50 PM CEST, Key ID 199e2f91fd431                                                                                        d51
Source RPM  : tfm-rubygem-foreman_virt_who_configure-0.2.2-1.el7sat.src.rpm
Build Date  : Fri 15 Jun 2018 02:59:59 PM CEST
Build Host  : x86-039.build.eng.bos.redhat.com
Relocations : (not relocatable)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Vendor      : Red Hat, Inc.
URL         : https://github.com/theforeman/foreman_virt_who_configure
Summary     : A plugin to make virt-who configuration easy
Description :
A plugin to make virt-who configuration easy.
* Fri Jun 15 2018 Marek Hulan <mhulan@redhat.com> 0.2.2-1
- Update to 0.2.2

* Wed May 30 2018 Marek Hulan <mhulan@redhat.com> 0.2.1-1
- Update to 0.2.1

* Tue Apr 10 2018 Marek Hulan <mhulan@redhat.com> 0.2.0-1
- Update to 0.2.0

* Thu Dec 28 2017 Daniel Lobato Garcia <me@daniellobato.me> 0.1.9-1
- new package built with tito

* Thu Oct 26 2017 Eric D. Helms <ericdhelms@gmail.com> 0.1.8-2
- Fixes #21455 - generate apipie cache during build (mhulan@redhat.com)

* Thu Oct 12 2017 Eric D. Helms <ericdhelms@gmail.com> 0.1.8-1
- Update foreman_virt_who_configure to 0.1.8 (mhulan@redhat.com)

* Tue Sep 26 2017 Justin Sherrill <jsherril@redhat.com> 0.1.7-1
- Update foreman_virt_who_configure to 0.1.7 (mhulan@redhat.com)

* Thu Aug 24 2017 Eric D. Helms <ericdhelms@gmail.com> 0.1.5-1
- Update foreman_virt_who_configure to 0.1.5 (mhulan@redhat.com)
- Update foreman_virt_who_configure to 0.1.4 (mhulan@redhat.com)

* Mon Jun 26 2017 Eric D. Helms <ericdhelms@gmail.com> 0.1.3-1
- Update foreman_virt_who_configure to 0.1.3 (mhulan@redhat.com)

* Tue Jun 13 2017 Eric D. Helms <ericdhelms@gmail.com> 0.1.2-1
- Update foreman_virt_who_configure to 0.1.2 (mhulan@redhat.com)

* Fri May 26 2017 Eric D. Helms <ericdhelms@gmail.com> 0.1.1-1
- Update foreman_virt_who_configure to 0.1.1 (mhulan@redhat.com)

* Thu May 18 2017 Justin Sherrill <jsherril@redhat.com> 0.1.0-1
- Update foreman_virt_who_configure to 0.1.0 (mhulan@redhat.com)

* Wed May 03 2017 Justin Sherrill <jsherril@redhat.com> 0.0.2-2
- Rebuild virt_who_configure for proper tagging (jsherril@redhat.com)

* Wed May 03 2017 Justin Sherrill <jsherril@redhat.com> 0.0.2-1
- Update foreman_virt_who_configure to 0.0.2 (mhulan@redhat.com)

* Thu Apr 06 2017 Eric D. Helms <ericdhelms@gmail.com> 0.0.1-2
-

* Thu Apr 06 2017 Eric D. Helms <ericdhelms@gmail.com> 0.0.1-1
- new package built with tito

Comment 21 Aymeric Marchal SG 2019-01-28 17:23:00 UTC
And i just see that Marek indicate the version 0.3

"""""""""""""""""
Status: NEW → POST
Fixed In Version: rubygem-foreman_virt_who_configure 0.3.0
"""""""""""""""""

Comment 37 errata-xmlrpc 2019-10-22 12:46:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.